< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package approval
  Definition Classes
    accounts
-  package retriever
  Definition Classes
    approval
- CoHoAccountsApprovalBoxRetriever
- HmrcAccountsApprovalBoxRetriever

t

uk.gov.hmrc.ct.accounts.approval.retriever

# CoHoAccountsApprovalBoxRetriever 

###

#### trait CoHoAccountsApprovalBoxRetriever extends AccountsBoxRetriever

Self Type
  CoHoAccountsApprovalBoxRetriever with FilingAttributesBoxValueRetriever

Linear Supertypes
AccountsBoxRetriever, BoxRetriever, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CoHoAccountsApprovalBoxRetriever
2. AccountsBoxRetriever
3. BoxRetriever
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def ac1(): AC1
   Definition Classes
     AccountsBoxRetriever
2.  abstract def ac12(): AC12
   Definition Classes
     AccountsBoxRetriever
3.  abstract def ac2(): AC2
   Definition Classes
     AccountsBoxRetriever
4.  abstract def ac205(): AC205
   Definition Classes
     AccountsBoxRetriever
5.  abstract def ac206(): AC206
   Definition Classes
     AccountsBoxRetriever
6.  abstract def ac3(): AC3
   Definition Classes
     AccountsBoxRetriever
7.  abstract def ac4(): AC4
   Definition Classes
     AccountsBoxRetriever
8.  abstract def ac401(): AC401
   Definition Classes
     AccountsBoxRetriever
9.  abstract def ac402(): AC402
   Definition Classes
     AccountsBoxRetriever
10.  abstract def ac403(): AC403
    Definition Classes
      AccountsBoxRetriever
11.  abstract def ac404(): AC404
    Definition Classes
      AccountsBoxRetriever
12.  abstract def ac415(): AC415
    Definition Classes
      AccountsBoxRetriever
13.  abstract def cato24(): CATO24
    Definition Classes
      AccountsBoxRetriever
14.  abstract def companiesHouseAccountsApproval(): CompaniesHouseAccountsApproval
15.  abstract def companyAddress(): CompanyAddress
    Definition Classes
      AccountsBoxRetriever
16.  abstract def generateValues: Map[String, CtValue[_]]
    Definition Classes
      BoxRetriever

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]
    Definition Classes
      BoxRetriever
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AccountsBoxRetriever

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped